std::front_insert_iterator::front_insert_iterator(3)

NAME
std::front_insert_iterator::front_insert_iterator - std::front_insert_iterator::front_insert_iterator

Synopsis
   explicit front_insert_iterator( Container& c ); (until C++20)
   explicit constexpr front_insert_iterator( Container& c ); (since C++20)
   Initializes the underlying pointer to the container to std::addressof(c).

Parameters
   c - container to initialize the inserter with
  Defect reports
   The following behavior-changing defect reports were applied retroactively to
   previously published C++ standards.
     DR Applied to Behavior as published Correct behavior
                      default constructor was provided as C++20 removed along with the
   P2325R3 C++20 iterators requirement
                      must be default_initializable